WordPress.org

Support

Support » Plugins and Hacks » [Resolved] 2.0.3 is Broken… seriously

[Resolved] 2.0.3 is Broken… seriously

  • Hello,

    The concept of having a bunch of ‘hookable’ options is great, however, the code in use short-circuits the filters and actions instead of letting them complete as expected. For example if you hook ‘the_content’ you do not actually display the_content but short circuit to call your hook which does not actually call the original hook. This approach just does not work with modern themes.

    2.0.2 was better and if you added in a way to ‘hook’ more actions/filters via a tab-slide specific action that would be a much better approach in my mind as well as a way to remove them via an action.

    Best regards,
    Edward

    https://wordpress.org/plugins/tab-slide/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Okay found the problem with this, it was this plugin with another interacting, fixed the other and things now work. a return of ‘false’ was being ignored by the hook code for some reason but works on another site. The problem is still that you cannot hook more than ONE filter when you may need to hook multiples.

    This is resolved for now.

    Plugin Author zoranc

    @zoranc

    When using the_content hook, the v2.0.3 hooks in the same way as the v2.0.2, the only difference is that the hook itself is dynamically constructed. The end result is the same tab slide hooks in via

    add_filter('the_content', array( $this, 'append_html_via_filter'), 1 );

    The append_html_via_filter callback appends the tab slide content to the content, unhooks itself and returns the modified content.

    If you want to use the Tab Slide specific filter, you can do so by switching to the custom hook option and then using that custom hook in your theme.

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Resolved] 2.0.3 is Broken… seriously’ is closed to new replies.